#ifndef READ_DEFS
#define READ_DEFS

/***************************************
  $Revision: 1.2 $

  Objects module (ob) - this _should_ eventually get merged in with the
  config module.

  Status: NOT REVUED, NOT TESTED

  ******************/ /******************
  Copyright (c) 1999                              RIPE NCC
 
  All Rights Reserved
  
  Permission to use, copy, modify, and distribute this software and its
  documentation for any purpose and without fee is hereby granted,
  provided that the above copyright notice appear in all copies and that
  both that copyright notice and this permission notice appear in
  supporting documentation, and that the name of the author not be
  used in advertising or publicity pertaining to distribution of the
  software without specific, written prior permission.
  
  THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
  AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
  DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
  OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
  ***************************************/
#include <glib.h>
#include "bitmask.h"

#include "DF_class_enum.def"
#include "DF_class_mask.def"

#include "DF_attribute_enum.def"
#include "DF_attribute_inv_attr_mask.def"

char * const *DF_get_filter_names(void);
char * const *DF_get_class_names(void);
char * const *DF_get_class_aliases(void);
int DF_get_class_index(int alias_index);
char * const DF_get_class_name(int alias_index);
char * const DF_get_class_code(C_Type_t index);
int DF_get_class_dbase_code(int class_index);
char * const *DF_get_sources(void);
const char *DF_get_source(int index);
char * const *DF_get_attribute_aliases(void);
const char *DF_get_attribute_name(A_Type_t index);
const char *DF_get_attribute_code(A_Type_t index);
char * const *DF_get_attribute_names(void);
int DF_get_attribute_index(int alias_index);
const char *DF_get_class_template(C_Type_t index);
const char *DF_get_class_template_v(C_Type_t index);
const char *DF_get_attribute_desc(A_Type_t index);
const char *DF_get_attribute_frmt(A_Type_t index);
char * DF_sources_to_string(void);
char *DF_sources_list_to_string(GList *sources_list);
char *DF_attributes_to_string(void);
A_Type_t DF_attribute_code2type(const gchar *token);
A_Type_t DF_attribute_name2type(const gchar *token);
C_Type_t DF_class_code2type(const gchar *token);
C_Type_t DF_class_name2type(const gchar *token);
const char *DF_get_server_query(int index);
char * const *DF_get_server_queries(void);

#endif /* READ_DEFS */

